Smart Proxy - Refactor #14995

Default log level for smart-proxy should be INFO
05/11/2016 03:33 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Core
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/417
Description

| believe this is a regression and it was set to INFO previously. Currently | see this set to ERROR which is not good. There is nothing
that can tell you that requests are actually coming to proxy. Since we rotate our logs and traffic is not huge, | see no reason not to set
it to INFO. Our logging is clean:

I, [2016-05-11T03:28:04.686868 #1069] INFO —- : 127.0.0.1 - - [11/May/2016 03:28:04] "GET /featur
es HTTP/1.1" 200 83 0.0044

I, [2016-05-11T03:28:04.770358 #1069] INFO —- : 127.0.0.1 - - [11/May/2016 03:28:04] "GET /ssh/pu
bkey HTTP/1.1" 200 438 0.0007

I, [2016-05-11T03:28:04.830933 #1069] INFO —- : 127.0.0.1 - - [11/May/2016 03:28:04] "GET /featur

es HTITP/1.1" 200 83 0.0008

Associated revisions

Revision bOae4e0d - 05/11/2016 10:11 AM - Lukas Zapletal
Fixes #14995 - proxy default log is INFO

History

#1 - 05/11/2016 03:44 AM - Dominic Cleal
- Project changed from Installer to Smart Proxy

- Category changed from Foreman modules to Core

The installer follows the smart proxy default, which is (and has been for as long as I'm aware) set to ERROR - per settings.yml.example and
lib/proxy/settings/global.rb.

#2 - 05/11/2016 03:49 AM - Lukas Zapletal

- Tracker changed from Bug to Refactor

Changing this to proposal, | see no reason why to avoid INFO.

#3 - 05/11/2016 03:53 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/smart-proxy/pull/417 added

#4 - 05/11/2016 11:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset bOae4e0dbf8374bb9cde4ffd666493952216bdf0.
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/b0ae4e0dbf8374bb9cde4ffd666493952216bdf0

#5 - 05/12/2016 10:04 AM - Dominic Cleal

- translation missing: en.field_release set to 136
